Loading...
Searching...
No Matches
ASSA::Address Class Referenceabstract

`#include <Address.h>`

Inheritance diagram for ASSA::Address:

## Public Types

enum | addr_state_t { goodbit =0 , badbit =1 }
| State bits. More...
typedef int | addrstate

## Public Member Functions

| Address ()
| Constructor.
virtual | ~Address ()
| Destructor.
bool | good () const
| Valid address is constructed.
bool | bad () const
| Indicates whether there was error during address construction process i.e.
| operator void * () const
| Conversion to void * (or bool) for testing where bool is required (in conditional statements).
bool | operator! () const
| Alias to bad ().
virtual const int | getLength () const =0
| Return length of the underlying address structure.
virtual SA * | getAddress () const =0
| Retrieve pointer to the address structure.
virtual void | dump ()
| Dump object state to the log file.

## Protected Member Functions

void | setstate (addrstate flag_)
| Set state of the Address object.

## Private Attributes

unsigned char | m_state

## Detailed Description

Definition at line 51 of file Address.h.

## Member Typedef Documentation

## addrstate

typedef int ASSA::Address::addrstate

Definition at line 58 of file Address.h.

## Member Enumeration Documentation

## addr_state_t

enum ASSA::Address::addr_state_t

State bits.

Enumerator
goodbit | good state
badbit | bad state

Definition at line 54 of file Address.h.

{
goodbit=0,
badbit=1
};
ASSA::Address::goodbit
@ goodbit
good state
Definition Address.h:55
ASSA::Address::badbit
@ badbit
bad state
Definition Address.h:56

## Constructor & Destructor Documentation

## Address()

ASSA::Address::Address | ( |  | ) |

inline

Constructor.

Definition at line 65 of file Address.h.

: m_state (Address::goodbit) { trace("Address::Address"); }
trace
#define trace(s)
trace() is used to trace function call chain in C++ program.
Definition Logger.h:429
ASSA::Address::m_state
unsigned char m_state
Definition Address.h:61

References Address(), goodbit, m_state, and trace.

Referenced by Address().

## ~Address()

virtual ASSA::Address::~Address | ( |  | ) |

inline virtual

Destructor.

Definition at line 68 of file Address.h.

{}

## Member Function Documentation

## bad()

bool ASSA::Address::bad | ( |  | ) | const

inline

Indicates whether there was error during address construction process i.e.

host or port lookup failure or invalid format used.

Returns
  true if invalid address, false otherwise

Definition at line 80 of file Address.h.

{ return m_state & Address::badbit; }

References badbit, and m_state.

Referenced by ASSA::Connector< SERVICE_HANDLER, PEER_CONNECTOR >::connect(), ASSA::Logger::log_open(), and operator!().

## dump()

virtual void ASSA::Address::dump | ( |  | ) |

inline virtual

Dump object state to the log file.

Reimplemented in ASSA::INETAddress.

Definition at line 101 of file Address.h.

{
trace("Address");
DL((TRACE,"state - %s\n", good () ? "good" : "bad"));
}
DL
#define DL(X)
A macro for writing debug message to the Logger.
Definition Logger.h:273
ASSA::Address::good
bool good() const
Valid address is constructed.
Definition Address.h:73
ASSA::TRACE
@ TRACE
Function call trace.
Definition LogMask.h:26

References DL, good(), ASSA::TRACE, and trace.

Referenced by ASSA::INETAddress::dump().

## getAddress()

virtual SA * ASSA::Address::getAddress | ( |  | ) | const

pure virtual

Retrieve pointer to the address structure.

Implemented in ASSA::INETAddress, and ASSA::UNIXAddress.

Referenced by ASSA::IPv4Socket::bind(), ASSA::UDPSocket::bind(), ASSA::ConUDPSocket::connect(), ASSA::IPv4Socket::connect(), ASSA::Acceptor< SERVICE_HANDLER, PEER_ACCEPTOR >::open(), ASSA::UnConUDPSocket::recvfrom(), and ASSA::UnConUDPSocket::sendto().

## getLength()

virtual const int ASSA::Address::getLength | ( |  | ) | const

pure virtual

Return length of the underlying address structure.

Implemented in ASSA::INETAddress, and ASSA::UNIXAddress.

Referenced by ASSA::IPv4Socket::bind(), ASSA::UDPSocket::bind(), ASSA::ConUDPSocket::connect(), ASSA::IPv4Socket::connect(), ASSA::UnConUDPSocket::recvfrom(), and ASSA::UnConUDPSocket::sendto().

## good()

bool ASSA::Address::good | ( |  | ) | const

inline

Valid address is constructed.

Returns
  true if valid address, false otherwise

Definition at line 73 of file Address.h.

{ return m_state == 0; }

References m_state.

Referenced by dump(), and operator void *().

## operator void *()

ASSA::Address::operator void * | ( |  | ) | const

inline

Conversion to void * (or bool) for testing where bool is required (in conditional statements).

Returns
  true if valid address; false otherwise

Definition at line 86 of file Address.h.

{ return (void*) good (); }

References good().

## operator!()

bool ASSA::Address::operator! | ( |  | ) | const

inline

Alias to bad ().

Returns
  true if invaid address; false otherwise.

Definition at line 91 of file Address.h.

{ return bad (); }
ASSA::Address::bad
bool bad() const
Indicates whether there was error during address construction process i.e.
Definition Address.h:80

References bad().

## setstate()

void ASSA::Address::setstate | ( | addrstate | flag_ | ) |

inline protected

Set state of the Address object.

Parameters

  flag_ | new state

Definition at line 111 of file Address.h.

{ m_state |= flag_; }

References m_state.

Referenced by ASSA::INETAddress::createHostPort(), ASSA::INETAddress::getHostName(), ASSA::INETAddress::getServiceByName(), ASSA::UNIXAddress::UNIXAddress(), and ASSA::UNIXAddress::UNIXAddress().

## Member Data Documentation

## m_state

unsigned char ASSA::Address::m_state

private

Definition at line 61 of file Address.h.

Referenced by Address(), bad(), good(), and setstate().

The documentation for this class was generated from the following file:

- Address.h